#ifndef SAMBACLIENT_H
#define SAMBACLIENT_H

#include <QProcess>

#include <QTimer>

#include <QObject>

class SambaClient : public QObject
{
    Q_OBJECT
public:
    SambaClient();
    virtual ~SambaClient();

    bool IsError();

    virtual void Mount();
    virtual void Umount();

    virtual bool IsMount();

public slots:
    virtual void Process1Finish(int nRet);
    virtual void Process1ReadyReadStandardOutput();
    virtual void Process1ReadyReadStandardError();

    virtual void Process2Finish(int nRet);
    virtual void Process2ReadyReadStandardOutput();
    virtual void Process2ReadyReadStandardError();

    virtual void Process3Finish(int nRet);
    virtual void Process3ReadyReadStandardOutput();
    virtual void Process3ReadyReadStandardError();

protected:
    QProcess m_Process1;
    QProcess m_Process2;
    QProcess m_Process3;

    QString m_strInfo;
    int m_bError;
};

#endif // SAMBACLIENT_H
